Docs
DocumentationQuery ReferenceAPI Reference
Open Console→→
DocumentationQuery ReferenceAPI Reference

Get started

IntroductionSend dataQuery dataPaginationAPI limits

Annotations

List all annotationsGETRetrieve annotationGETCreate annotationPOSTUpdate annotationPUTDelete annotationDELETE

API tokens

List all API tokensGETRetrieve API tokenGETCreate API tokenPOSTRegenerate API tokenPOSTDelete API tokenDELETE

Dashboards

List all dashboardsGETRetrieve dashboardGETCreate dashboardPOSTUpdate dashboardPUTPatch dashboard elementPATCHDelete dashboardDELETE

Datasets

List all datasetsGETRetrieve datasetGETList all fields in datasetGETRetrieve field in datasetGETCreate datasetPOSTIngest data (legacy)POSTRun queryPOSTRun query (legacy)POSTTrim datasetPOSTUpdate datasetPUTUpdate fieldPUTVacuum datasetPOSTDelete datasetDELETE

Edge

Ingest data to edge deploymentIngest Splunk HEC eventsIngest raw Splunk HEC eventsCheck Splunk HEC healthRun APL query to edge deploymentRun batch query to edge deploymentRun MPL query to edge deploymentGet metrics for a datasetGet metric tags for a datasetGet metric tag values for a datasetGet tags for a datasetGet tag values for a dataset

Map fields

List all map fieldsGETCreate map fieldPOSTUpdate list of map fieldsPUTDelete map fieldsDELETE

Monitors

List all monitorsGETRetrieve monitorGETRetrieve monitor historyGETCreate monitorPOSTUpdate monitorPUTDelete monitorDELETE

Notifiers

List all notifiersGETRetrieve notifierGETCreate notifierPOSTUpdate notifierPUTDelete notifierDELETE

Organizations

List all orgsGETRetrieve orgGETCreate orgPOSTUpdate orgPUTProvision orgPOST

Role-based access control

List all rolesGETRetrieve roleGETList all groupsGETRetrieve groupGETCreate rolePOSTCreate groupPOSTUpdate rolePUTUpdate groupPUTDelete roleDELETEDelete groupDELETE

Saved queries

List all saved queriesGETRetrieve saved queryGETCreate saved queryPOSTUpdate saved queryPUTDelete saved queryDELETE

Users

Retrieve current userGETList all usersGETRetrieve userGETCreate userPOSTUpdate current userPUTUpdate user rolePUTDelete user from orgDELETE

Views

List all viewsGETRetrieve viewGETCreate viewPOSTUpdate viewPUTDelete viewDELETE

Virtual fields

List all virtual fieldsGETRetrieve virtual fieldGETCreate virtual fieldPOSTUpdate virtual fieldPUTDelete virtual fieldDELETE
Datasets

Ingest data (legacy)

POST/v1/datasets/{dataset_name}/ingest

Ingest (Legacy)

Warning

This is a legacy endpoint that ingests data into the US East 1 (AWS) edge deployment. To ingest data, use the Ingest data to edge deployment endpoint instead. For more information, see Ingest data and Edge deployments.

The base domain for this endpoint is https://api.axiom.co, irrespective of your edge deployment.

Parameters

PropertyTypeLocationDescription
dataset_namestringRequiredpathUnique name of the dataset.
timestamp-fieldstringqueryThe name of the field to use as the timestamp. If not specified, the timestamp will be the time the event was received by Axiom.
timestamp-formatstringqueryThe date-time format of the timestamp field. The reference time is Mon Jan 2 15:04:05 -0700 MST 2006, as specified in https://pkg.go.dev/time/?tab=doc#Parse
csv-delimiterstringqueryThe delimiter to use when parsing CSV data. If not specified, the default delimiter is ,.
X-Axiom-CSV-Fieldsstring[]headerA list of optional comma separated fields to use for CSV ingestion. If not specified, the first line of the CSV will be used as the field names.
X-Axiom-Event-LabelsstringheaderAn optional JSON encoded object with additional labels to add to all events in the request

Body

Data you want to send to Axiom. Supported formats: JSON, NDJSON, CSV. Upload the data in a file or send it in the payload of the request.

application/jsontext/csvapplication/x-ndjson

Request

curl -X POST 'https://api.axiom.co/v1/datasets/DATASET_NAME/ingest' \
  -H 'Authorization: Bearer API_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{"message":"hello from Axiom","status":200}'
Try itRun this request against your Axiom organization

Credentials stay in this browser tab and are only sent to Axiom when you run the request.

Response

200ingest status
application/json
401Forbidden
application/json
PropertyTypeDescription
blocksCreatedinteger<uint32>Number of blocks created
failedinteger<uint64>RequiredNumber of failures that occurred during ingest
failuresobject[]List of failures that occurred during ingest
└errorstringRequired—
└timestampstring<date-time>Required—
ingestedinteger<uint64>RequiredNumber of events ingested
processedBytesinteger<uint64>RequiredNumber of bytes processed
walLengthinteger<uint32>Length of the WAL
Was this page helpful?
Suggest edits on GitHub
PreviousCreate datasetNextRun query
On this page
ParametersBodyRequestResponse